<div class="p-login">
    <div class="p-login__block">
        <div class="p-login__form">
            <h1>Template Driven Login Form</h1>

            <form #loginForm="ngForm" (ngSubmit)="onLogin()">
                <div class="form-group">
                    <label for="email">Email</label>
                    <input
                    (input)="onInput()"
                        id="email"
                        name="email"
                        type="email"
                        [(ngModel)]="email"
                        required
                    />
                    <span class="error-message" *ngIf="emailError">The email field is required.</span>
                </div>
                <div class="form-group">
                    <label for="password">Password</label>
                    <input
                        (input)="onInput()"
                        id="password"
                        name="password"
                        type="password"
                        [(ngModel)]="password"
                        required
                    />
                    <span class="error-message" *ngIf="passwordError">The password field is required.</span>
                </div>
            
                <div>
                    <label for="remember-me">Remember me</label>
                    <input
                        id="remember-me"
                        name="remember-me"
                        [(ngModel)]="rememberMe"
                        type="checkbox"
                    />
                </div>
            
                <div class="form-actions">
                    <button class="submit-button" type="submit">Login</button>
                </div>
            
                <div class="register-link">
                    <a routerLink="/taskfour/register">Click here to Register!</a>
                </div>
            </form>    
        </div>
    </div>
</div>
